Bug 2270096 - Utility ksgrd_network_helper missing CAP_NET_RAW capability
Summary: Utility ksgrd_network_helper missing CAP_NET_RAW capability
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: libksysguard
Version: 40
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-03-18 13:22 UTC by Yaroslav Sidlovsky
Modified: 2024-05-27 12:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Yaroslav Sidlovsky 2024-03-18 13:22:35 UTC
Warning in the console when starting `plasma-systemmonitor`:
```
org.kde.ksysguard.plugin.network: Helper process terminated abnormally: "The process doesn't have permission to open the capture source"
```

Reproducible: Always

Steps to Reproduce:
1. Run `plasma-systemmonitor`
Actual Results:  
No network stats has been shown.

Expected Results:  
Network stats should be shown.

This could be fixed with `sudo setcap cap_net_raw=ep /usr/libexec/ksysguard/ksgrd_network_helper`.

Comment 1 Yaroslav Sidlovsky 2024-03-18 13:23:58 UTC
Similar old bug: https://bugzilla.redhat.com/show_bug.cgi?id=2020138

Comment 2 Yaroslav Sidlovsky 2024-04-01 09:57:45 UTC
Still not fixed in libksysguard-6.0.3-1.fc40.x86_64:
```
org.kde.ksysguard.plugin.network: Helper process terminated abnormally: "The process doesn't have permission to open the capture source"
```

Comment 3 Thomas Duckworth 2024-05-27 12:08:02 UTC
This would also be fixed in the specfile by adding:
`%caps(cap_net_raw=pe) %{_libexecdir}/ksysguard/ksgrd_network_helper`


Note You need to log in before you can comment on or make changes to this bug.